<template>
  <div class="manager-business-table">
    <div class="row">
      <div class="col-md-12">
        <click-button
          @click="$router.push({'path':'/gestionnaire/societe/ajouter'})"
        >
          <template #content>
            Ajouter un domaine
          </template>
        </click-button>
      </div>
    </div>
    <manager-business-table />
  </div>
</template>

<script>
import {mapActions, mapGetters} from "vuex"
import ManagerBusinessTable from "./ManagerBusinessTable";
import ClickButton from "../../../components/Button/ClickButton";

export default {
  name: "ManagerBusinessList",
  components: {ClickButton, ManagerBusinessTable},
  computed: {
    ...mapGetters([
      'businesses'
    ])
  },
  created() {
    if (this.businesses.length === 0) {
      this.fetchBusinesses();
    }
  },
  methods: {
    ...mapActions([
      'fetchBusinesses'
    ])
  }
}
</script>

<style scoped>
.manager-business-table {
  padding-top: 2vh;
}
</style>